## org.eclipse.datatools.connectivity.sqm.loader
Class JDBCUDFColumnLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
          org.eclipse.datatools.connectivity.sqm.loader.JDBCRoutineColumnLoader
              org.eclipse.datatools.connectivity.sqm.loader.JDBCUDFColumnLoader

public class JDBCUDFColumnLoader
extends JDBCRoutineColumnLoader

Base loader implementation for loading a database's catalog objects. This class may be specialized as necessary to meet a particular vendor's needs.

Author:
  rcernich Created on Aug 28, 2006

Field Summary

Fields inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCRoutineColumnLoader
`COLUMN_COLUMN_NAME, COLUMN_COLUMN_TYPE, COLUMN_DATA_TYPE, COLUMN_LENGTH, COLUMN_NULLABLE, COLUMN_PRECISION, COLUMN_REMARKS, COLUMN_SCALE, COLUMN_TYPE_NAME`

Constructor Summary
`JDBCUDFColumnLoader(ICatalogObject catalogObject)` This constructs the loader using no filtering.
`JDBCUDFColumnLoader(ICatalogObject catalogObject, IConnectionFilterProvider connectionFilterProvider)`

Method Summary
`java.util.List` `loadColumns()` Deprecated. see `JDBCRoutineColumnLoader.loadParameters(List, Collection)`, `JDBCRoutineColumnLoader.loadRoutineResultTables()`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCRoutineColumnLoader
`clearColumns, loadParameters, loadRoutineResultTables`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
`getCatalogObject, setCatalogObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCUDFColumnLoader

    public JDBCUDFColumnLoader(ICatalogObject catalogObject)

  This constructs the loader using no filtering.

Parameters:
  `catalogObject` - the Database object upon which this loader operates.

### JDBCUDFColumnLoader

    public JDBCUDFColumnLoader(ICatalogObject catalogObject,
                               IConnectionFilterProvider connectionFilterProvider)

Parameters:
  `catalogObject` - the Procedure object upon which this loader operates.
  `connectionFilterProvider` - the filter provider used for filtering the "column" objects being loaded

Method Detail

### loadColumns

    public java.util.List loadColumns()
                               throws java.sql.SQLException

  Deprecated. see `JDBCRoutineColumnLoader.loadParameters(List, Collection)`, `JDBCRoutineColumnLoader.loadRoutineResultTables()`

  Note, if a result set is returned by the UDF, it will be added to the end of the returned list.

  Returns:
    a collection of Parameter objects
  Throws:
    `java.sql.SQLException` - if an error occurred during loading.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.